//
// DebugLog.h - logs messages to standard debug trace stream
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_DebugLog_h
#define vos_DebugLog_h

#include "Log.h"

namespace vos
{
	
	/**************************************************************************

	>	class DebugLog : public Log

		Author:		Tim Browse

		Date:		23/02/2001

		Purpose:	Simple class to allow routing of vos::Log message to
					the standard debug trace message facility of the OS.
					(i.e. Logged messages are passed on to the TRACE macro).

	**************************************************************************/

	class DebugLog : public Log
	{
		public:
			virtual void LogMsg(const char *szMsg, 
								uint Severity = 0, 
								uint32 Flags = 0);
	};
};

#endif // !vos_DebugLog_h
