//
// FileClass.h - simple type to represent classes (types) of files.
//				 Will vary substantially between platforms.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_FileClass_h
#define vos_FileClass_h

#include "vos.h"

namespace vos
{
	/**************************************************************************
	
	>	class FileClass
	
		Author:		Tim Browse
		Date:		14/4/2002
	
		Purpose:	Provide a simple way of representing a 'class' of files,
					such as documents, pictures, etc.

					This meta-data is usually represented in quite different
					ways on different ODs - e.g. on Windows/Unix variants, 
					a file extension is often used, whereas on MacOS the
					resource fork of the file is used to hold the file type.

					Use of this class will of necessity involve some platform
					specific processing, but it does allow a standard 
					source-compatible data type to be passed around when
					you want to specify, e.g. .doc files, etc.
	
	**************************************************************************/
	
	class FileClass
	{
		public:
#ifdef VOS_MSWINDOWS
			//
			// Standard Windows file extension (not limited to 3 characters)
			//
			String m_FileExtension;
#else
			//
			// Need to have MacOS four character codes, etc.
			//
#endif
	};
};

#endif // !vos_FileClass_h
