//
// Implementation of a list class that isn't a complete bitch to use, unlike
// the MFC version.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_Lists_h
#define vos_Lists_h

#include "vOS.h"

namespace vos
{
	/******************************************************************************

	>	class ListItem

		Author:		Tim Browse
		Created:	3/2/97
		Purpose:	Represents a single item in a list.  Used by List class.

	******************************************************************************/

	class ListItem
	{
		public:
			ListItem();
			virtual ~ListItem();

			ListItem *GetNext() const;
			ListItem *GetPrev() const;

			// Notification for ref-counted list items
			virtual void NotifyListDeleted();

		protected:
			ListItem *m_pNext;
			ListItem *m_pPrev;

			friend class List;
	};

	/******************************************************************************

	>	class List

		Author:		Tim Browse
		Created:	3/2/97
		Purpose:	Implements a simple double-linked list, without using any
					random template nonsense.  Objects in the list must be
					derived from the ListItem class.

	******************************************************************************/

	class List
	{
		public:
			List();
			virtual ~List();

			ListItem *GetHead() const;
			ListItem *GetTail() const;

			bool IsEmpty();
			uint Length() const;

			bool AddHead(ListItem *);
			bool AddTail(ListItem *);
			bool InsertBefore(ListItem *, ListItem *);
			bool InsertAfter(ListItem *, ListItem *);
			ListItem *Remove(ListItem *);
			void RemoveAll();
			void DeleteAll();

		protected:
			ListItem *m_pHead;
			ListItem *m_pTail;
			uint m_Length;
	};
};

#endif // !vos_Lists_h
