//
// LogFile.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_LogFile_h
#define vos_LogFile_h

#include "Log.h"

#include "File.h"

namespace vos
{
	/**************************************************************************
	
	>	class LogFile : public Log
	
		Author:		Tim Browse
		Date:		15/4/2002
	
		Purpose:	An version of the Log interface that logs messages to
					a vos::File object.
	
	**************************************************************************/
	
	class LogFile : public Log
	{
		public:
			LogFile(File* pLogFile);
			virtual ~LogFile();

		public:
			virtual void LogMsg(const char *szMsg, 
								int Severity = 0, 
								uint32 Flags = 0);

		protected:
			/// Default constructor should not be used directly
			LogFile();

			/// The file we are logging to
			File* m_pLogFile;
	};
};

#endif // !vos_LogFile_h
