//
// Msgs.h - Allow support for localised strings in the library, without 
//			the need for resource file support.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_Msgs_h
#define vos_Msgs_h

#include "vOS.h"

//
// Type of message strings.
//
typedef const char *StringMessage;

//
// Macro to allow declaration and definition with the same source text.
//

#ifdef VOS_MSG_DEFINE
// Macros to define the string
#define vos_MSG(id, string) StringMessage id = string;
#else
// Macros to declare the string
#define vos_MSG(id, string) extern StringMessage id;
#endif

// Debug messages
#ifdef _DEBUG
#define vos_DMSG(id, release_string, debug_string) vos_MSG(id, debug_string)
#else
#define vos_DMSG(id, release_string, debug_string) vos_MSG(id, release_string)
#endif

#if VOS_LANG == VOS_LANG_EN
// Include the English versions of the strings.
#include "Msgs\EN.h"
#endif

#endif // !vos_Msgs_h
