//
// PreferencesImp.cpp
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "PreferencesImp.h"

//
// Enable memory tracking
//
#ifdef _DEBUG
#define new vosDEBUG_NEW
#endif

namespace vos
{
	/**************************************************************************
	
	>	PreferencesImp::PreferencesImp()
	
		Author:		Tim Browse
		Date:		15/4/2002
	
		Purpose:	Constructor
	
	**************************************************************************/
	
	PreferencesImp::PreferencesImp() : m_pPrefs(NULL)
	{
	}

	/**************************************************************************
	
	>	PreferencesImp::~PreferencesImp()
	
		Author:		Tim Browse
		Date:		15/4/2002
	
		Purpose:	Virtual destructor
	
	**************************************************************************/
	
	PreferencesImp::~PreferencesImp()
	{
	}

	/**************************************************************************
	
	>	void PreferencesImp::LinkToPreferences(Preferences* pPrefs)
	
		Author:		Tim Browse
		Date:		15/4/2002
		Inputs:		pPrefs - the Preferences object to link this object to.
	
		Purpose:	Link this PreferencesImp to the associated Preferences
					object.
	
	**************************************************************************/
	
	void PreferencesImp::LinkToPreferences(Preferences* pPrefs)
	{
		// We must have a preferences object to link to.
		ASSERT(pPrefs != NULL);
		m_pPrefs = pPrefs;
	}
};
