//
// VFSFactoryRaw.h
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_VFSFactoryRaw_h
#define vos_VFSFactoryRaw_h

#include "VFSFactory.h"

namespace vos
{
	class VFS;

	/**************************************************************************

		class VFSFactoryRaw : public VFSFactory

		Author:		Tim Browse

		Date:		13/2/00

		Purpose:	Factory for the Raw VFS system.

	**************************************************************************/

	class VFSFactoryRaw : public VFSFactory
	{
		public:
			VFSFactoryRaw();

			// Get this factory to make a VFS object to handle this file object (if it can).
			virtual Error MakeVFS(const FileSpec& FS, VFS** ppVFS);

			// Register this VFS type
			static void Register();
	};
};

#endif // !vos_VFSFactoryRaw_h
