//
// Win32Error.h - Error decoding/reporting.
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#ifndef vos_Win32Error_h
#define vos_Win32Error_h

#include "..\String.h"
#include "..\ErrorManager.h"

namespace vos
{
	/**************************************************************************
	
	>	class Win32Error
	
		Author:		Tim Browse
		Date:		18/4/2002
	
		Purpose:	Provide routines for converting a Win32 error into a 
					standard vOS error.
	
	**************************************************************************/
	
	class Win32Error
	{
		public:
			// Return a string describing the error as supplied by the OS.
			static String GetLastError();

			// Convert the 'last error' to a vos Error, register it, and
			// return the error flag.
			static Error  TranslateError();
	};
};

#endif // !vos_Win32Error_h
