//
// vOS\Win32\Win32_Headers.h - safe include of Windows headers
//
//

#ifndef vos_Win32_Headers_h
#define vos_Win32_Headers_h

// Set up definitions so we can use minimal Win32 includes

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers

#include "Win32_Types.h"

#ifndef _X86_
#define _X86_
#endif

// Win32 headers

//
// This is the order <windows.h> does things - unnecessary headers
// commented out.  Uncomment them if problems occur compiling
// cross-platform vGui headers on Win32.
//
// Do NOT uncomment them to get Win32 cpp files to compile - add the
// headers to those cpp files instead.
//

//#include <excpt.h>
#include <stdarg.h>


//
// Set WINVER to 4.0 because we use minimal includes and WINVER will
// get defined to 0x500 by windef.h, and this feature is in beta atm.
//

#ifndef WINVER
#define WINVER 0x0501
#endif

// Windows headers don't compile silently at warning level 4, so
// we temporarily set the warning level to 3 while including them.
#pragma warning(push,3)

//
// NB. We include winnt.h manually, as we may already have included
// windef.h without requiring winnt.h - see Win32_Types.h
//

#include <windef.h>
#include <winnt.h>
#include <winbase.h>
#include <winreg.h>
#include <winuser.h>

#pragma warning(pop)

// Lose obsolete macro from Win32 headers
#undef GetCurrentTime

#endif // !vos_Win32_Headers_h
