//
// vOS\Win32\Win32_Types.h - definitions of standard Win32 types
//
// This file exists to avoid clients of vGUI having to include 
// the huge Windows header files in order to use vGUI.
//
// The types are copied from the Windows header files, and
// match the definitions exactly.
//

#ifndef vos_Win32_Types_h
#define vos_Win32_Types_h

//
// If we've already got the basic types, don't do them again
//
#ifndef _WINDEF_

//
// Basic scalar Win32 types
//

#ifndef VOID
#define VOID void
#endif

typedef short				SHORT;
typedef int                 INT;
typedef unsigned int        UINT;
typedef long				LONG;

typedef int                 BOOL;

typedef unsigned short      WORD;
typedef unsigned long       DWORD;

typedef char				CHAR;

typedef LONG				LRESULT;

//
// C-style string types
//
typedef CHAR *LPSTR;
typedef const CHAR *LPCSTR;
typedef LPCSTR LPCTSTR;

//
// ATOM type
//

typedef WORD                ATOM;


//
// Windows HANDLEs
//

// Required preliminary for including windef.h
// (This fragment is lifted from winnt.h - don't you just
//  love the way windef.h includes the 7000-line winnt.h
//  just to get ono type and one macro?)
typedef void *HANDLE;
typedef void* PVOID;
#ifndef DECLARE_HANDLE
#define VOS_UNDEF_DECLARE_HANDLE
#ifdef STRICT
#define DECLARE_HANDLE(name) struct name##__ { int unused; }; typedef struct name##__ *name
#else
#define DECLARE_HANDLE(name) typedef HANDLE name
#endif // STRICT
#endif // !DECLARE_HANDLE

// Get the basic sized types (required by windef.h)
#include <basetsd.h>

// define NT_INCLUDED to stop windef.h pulling in winnt.h
#define NT_INCLUDED
//#include <windef.h>
#undef NT_INCLUDED

//
// Clean up after ourselves...
//
#ifdef VOS_UNDEF_DECLARE_HANDLE
#undef DECLARE_HANDLE
#undef VOS_UNDEF_DECLARE_HANDLE
#endif

#endif // ! _WINDEF_


#endif // !vos_Win32_Types_h
