//
// Win32_vOSFactory.cpp - definition of virtual constructors for Win32
//

//
// This software is protected by the GNU Lesser General Public License,
// also known as the 'GNU library License', or the LGPL.
//
// See the file COPYING.txt for details.
//

#include "StdHdr.h"

#include "..\vos.h"

#include "Win32_PreferencesImp.h"

namespace vos
{

	/**************************************************************************
	
	>	PreferencesImp* vosFactory::MakePreferences()
	
		Author:		Tim Browse
		Date:		18/4/2002
		Returns:	new PreferencesImp derived object
	
		Purpose:	Make a Win32 PreferencesImp object.
	
	**************************************************************************/
	
	PreferencesImp* vosFactory::MakePreferences()
	{
		return new Win32_PreferencesImp();
	}

	/**************************************************************************
	
	>	vosFactory& VOSFactory()
	
		Author:		Tim Browse
		Date:		18/4/2002
		Returns:	the vOS factory singleton object
	
		Purpose:	Access the vOS Factory singleton - call it to access the vOS
					factory singleton object.
	
	**************************************************************************/
	
	vosFactory& VOSFactory()
	{
		static vosFactory TheFactory;

		return TheFactory;
	}

}
